new Vue({
  el: '#app',
  data: {
		DRUG_ADVERSE_MARK:"",
		ADR_REMARK:"",
		REFUSE_REFERRAL:"",
		REFUSE_REFERRAL_WHY:"",
		TRANSFER_RESON:"",
		TRANSFER_ORG_DEPT:"",
		readonly:false,
		objData:''
  },
  mounted: function() {
  	var vm = this
  	var Request = GetRequest();
  	recordAPI.getFollowupProjectData({id:Request["id"],followupProject:9}).then(function(res){
			if(res.status==200){
				var data = res.data;
				vm.objData = res.data;
//				delete data["create_time"];delete data["followup_id"];delete data["followup_project"];delete data["id"];
				for(var key in data){
					vm[key] = data[key]
				}
			}
		})
  },
  methods:{
		saveButton:function(){
  			var vm = this;
      params = {id: vm.objData.followup_id, followupProject:vm.objData.followup_project}
      var checkID = {};
      checkID['DRUG_ADVERSE_MARK'] =vm.DRUG_ADVERSE_MARK
      checkID['ADR_REMARK'] =vm.ADR_REMARK
      checkID['REFUSE_REFERRAL'] =vm.REFUSE_REFERRAL
      checkID['REFUSE_REFERRAL_WHY'] =vm.REFUSE_REFERRAL_WHY
      checkID['TRANSFER_RESON'] =vm.TRANSFER_RESON
      checkID['TRANSFER_ORG_DEPT'] =vm.TRANSFER_ORG_DEPT
      console.log(checkID)
        params.followupProjectData = JSON.stringify(checkID);
        console.log(params.followupProjectData)
        console.log(params)
				recordAPI.ModifyFollowupResult(params).then(function(res){
				if(res.status==200){
					toastr.error("保存成功")
				}else{
					toastr.error(res.msg)
				}
			})
  		}  	
  }
})